summaryrefslogtreecommitdiff
path: root/dev-util
diff options
context:
space:
mode:
authorGravatar Chris Xiong <chirs241097@gmail.com> 2022-07-20 11:44:41 -0400
committerGravatar Chris Xiong <chirs241097@gmail.com> 2022-07-20 11:44:41 -0400
commitabf75d1be9b098490c22c9a7729e4099d30033eb (patch)
tree43890488f76e73650029acb2d5ff85530a749678 /dev-util
parent63a209b0ceb0c80f7a8af7fd8b6fa56687bf1d0b (diff)
downloadppo-abf75d1be9b098490c22c9a7729e4099d30033eb.tar.xz
dev-util/rust-analyzer: new package, add 20220718
Diffstat (limited to 'dev-util')
-rw-r--r--dev-util/rust-analyzer/Manifest2
-rw-r--r--dev-util/rust-analyzer/rust-analyzer-20220718.ebuild50
2 files changed, 52 insertions, 0 deletions
diff --git a/dev-util/rust-analyzer/Manifest b/dev-util/rust-analyzer/Manifest
new file mode 100644
index 0000000..26f0233
--- /dev/null
+++ b/dev-util/rust-analyzer/Manifest
@@ -0,0 +1,2 @@
+DIST rust-analyzer-20220718.tar.gz 2300667 BLAKE2B a0daf1c24e682aa749364a28b891c0492440b80201cda9550dcd7d740b43d586ae76d3f02dd9677c5d8a10aef4a9737381eba3f635b7764c8a7f6e8352bbdf17 SHA512 1ae87782cc3a5131c6330c9b60a43efdaa48010be37a3acdfe35c1fd97117697aefb8a796a43799778431cc6f59678b7cdc94860fb23b4a8ceb41f981164e267
+EBUILD rust-analyzer-20220718.ebuild 1180 BLAKE2B be7ba424ab926277dbb8899aeb9c76ddeceecdb7e01ae619117a364a096032f460b728ecd2770520e1bc50fa15407ef25701dd5bdba3a50e7e0beb271c8e3aa3 SHA512 05eb86aeec855669f9848beebc25d599a6cf4f879fca13347f6b5ffba4dddb1c60e59fcdd08edada7b7a6b199582bf39e4c92ac961ab35d5628a7ba23cefcb86
diff --git a/dev-util/rust-analyzer/rust-analyzer-20220718.ebuild b/dev-util/rust-analyzer/rust-analyzer-20220718.ebuild
new file mode 100644
index 0000000..6764dd8
--- /dev/null
+++ b/dev-util/rust-analyzer/rust-analyzer-20220718.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+"
+
+inherit cargo
+
+if [[ "${PV}" == *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/rust-analyzer/rust-analyzer"
+else
+ KEYWORDS="~amd64"
+ MY_PV="${PV:0:4}-${PV:4:2}-${PV:6:2}"
+ SRC_URI="https://github.com/rust-analyzer/rust-analyzer/archive/${MY_PV}.tar.gz -> ${P}.tar.gz $(cargo_crate_uris)"
+fi
+
+DESCRIPTION="An implementation of Language Server Protocol for the Rust programming language"
+HOMEPAGE="https://rust-analyzer.github.io"
+
+LICENSE="0BSD Apache-2.0 Artistic-2 BSD Boost-1.0 CC0-1.0 ISC MIT Unlicense ZLIB"
+RESTRICT="mirror"
+SLOT="0"
+IUSE=""
+
+DEPEND="|| ( >=dev-lang/rust-1.57.0[rust-src] >=dev-lang/rust-bin-1.57.0[rust-src] )"
+RDEPEND="${DEPEND}"
+
+QA_FLAGS_IGNORED="usr/bin/rust-analyzer"
+
+src_unpack() {
+ if [[ "${PV}" == *9999* ]]; then
+ git-r3_src_unpack
+ cargo_live_src_unpack
+ else
+ cargo_src_unpack
+ mv -T "${PN}-${MY_PV}" "${P}" || die
+ fi
+}
+
+src_test() {
+ # Requires out of source git repo.
+ cargo_src_test -- --skip "tidy::check_merge_commits"
+}
+
+src_install() {
+ cargo_src_install --path "./crates/rust-analyzer"
+} \ No newline at end of file